/**
 * Style for ApIcon.
 * @class ApIconStyle
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _apemanReactStyle = require('apeman-react-style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** @lends ApIconStyle */
var ApIconStyle = _react2.default.createClass({
  displayName: 'ApIconStyle',

  propTypes: {
    style: _react.PropTypes.object
  },
  getDefaultProps: function getDefaultProps() {
    return {
      style: {}
    };
  },

  statics: {
    styleData: function styleData(config) {
      return {
        all: {
          '.ap-icon': {
            display: 'inline-block',
            margin: '0 2px'
          }
        },
        small: {},
        medium: {},
        large: {}
      };
    }
  },
  render: function render() {
    var s = this;
    var props = s.props;

    var _ApIconStyle$styleDat = ApIconStyle.styleData(props);

    var all = _ApIconStyle$styleDat.all;
    var small = _ApIconStyle$styleDat.small;
    var medium = _ApIconStyle$styleDat.medium;
    var large = _ApIconStyle$styleDat.large;


    return _react2.default.createElement(
      _apemanReactStyle.ApStyle,
      { data: Object.assign(all, props.style),
        smallMediaData: small,
        mediumMediaData: medium,
        largeMediaData: large
      },
      props.children
    );
  }
});

exports.default = ApIconStyle;
//# sourceMappingURL=data:application/json;base64,bnVsbA==